New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[1.0pr3] Outright crash when LambdaLib isn't installed #231

Closed
PalePyth opened this Issue Jan 9, 2016 · 3 comments

Comments

Projects
None yet
2 participants
@PalePyth

PalePyth commented Jan 9, 2016

I get this crash with your mod: http://pastebin.com/ZeJPaQzs
Without your mod everything is fine.

@WeAthFoLD

This comment has been minimized.

Show comment
Hide comment
@WeAthFoLD

WeAthFoLD Jan 9, 2016

Contributor

Revelant part:

[16:14:26] [Client thread/FATAL]: Reported exception thrown!
net.minecraft.util.ReportedException: Rendering screen
    at net.minecraft.client.renderer.EntityRenderer.func_78480_b(EntityRenderer.java:1391) ~[blt.class:?]
    at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1001) ~[bao.class:?]
    at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:898) [bao.class:?]
    at net.minecraft.client.main.Main.main(SourceFile:148) [Main.class:?]
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_65]
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_65]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_65]
    at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.8.0_65]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135) [launchwrapper-1.12.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
Caused by: java.lang.NullPointerException
    at cpw.mods.fml.common.versioning.VersionRange.getLowerBoundString(VersionRange.java:573) ~[VersionRange.class:?]
    at cpw.mods.fml.client.GuiModsMissing.func_73863_a(GuiModsMissing.java:54) ~[GuiModsMissing.class:?]
    at net.minecraft.client.renderer.EntityRenderer.func_78480_b(EntityRenderer.java:1357) ~[blt.class:?]
    ... 9 more
[16:14:27] [Client thread/INFO] [STDOUT]: [net.minecraft.client.Minecraft:func_71377_b:349]: ---- Minecraft Crash Report ----
// Who set us up the TNT?

Time: 1/9/16 4:14 PM
Description: Rendering screen

java.lang.NullPointerException: Rendering screen
    at cpw.mods.fml.common.versioning.VersionRange.getLowerBoundString(VersionRange.java:573)
    at cpw.mods.fml.client.GuiModsMissing.func_73863_a(GuiModsMissing.java:54)
    at net.minecraft.client.renderer.EntityRenderer.func_78480_b(EntityRenderer.java:1357)
    at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1001)
    at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:898)
    at net.minecraft.client.main.Main.main(SourceFile:148)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
    at cpw.mods.fml.common.versioning.VersionRange.getLowerBoundString(VersionRange.java:573)
    at cpw.mods.fml.client.GuiModsMissing.func_73863_a(GuiModsMissing.java:54)

It seems you didn't have LambdaLib installed. You can find the link via the website or the curseforge page.

EDIT: It seems not friendly enough for a crash to happen when missing mods. Will fix the crash and make the missing-mod warning popup correctly.

Contributor

WeAthFoLD commented Jan 9, 2016

Revelant part:

[16:14:26] [Client thread/FATAL]: Reported exception thrown!
net.minecraft.util.ReportedException: Rendering screen
    at net.minecraft.client.renderer.EntityRenderer.func_78480_b(EntityRenderer.java:1391) ~[blt.class:?]
    at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1001) ~[bao.class:?]
    at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:898) [bao.class:?]
    at net.minecraft.client.main.Main.main(SourceFile:148) [Main.class:?]
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_65]
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_65]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_65]
    at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.8.0_65]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135) [launchwrapper-1.12.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
Caused by: java.lang.NullPointerException
    at cpw.mods.fml.common.versioning.VersionRange.getLowerBoundString(VersionRange.java:573) ~[VersionRange.class:?]
    at cpw.mods.fml.client.GuiModsMissing.func_73863_a(GuiModsMissing.java:54) ~[GuiModsMissing.class:?]
    at net.minecraft.client.renderer.EntityRenderer.func_78480_b(EntityRenderer.java:1357) ~[blt.class:?]
    ... 9 more
[16:14:27] [Client thread/INFO] [STDOUT]: [net.minecraft.client.Minecraft:func_71377_b:349]: ---- Minecraft Crash Report ----
// Who set us up the TNT?

Time: 1/9/16 4:14 PM
Description: Rendering screen

java.lang.NullPointerException: Rendering screen
    at cpw.mods.fml.common.versioning.VersionRange.getLowerBoundString(VersionRange.java:573)
    at cpw.mods.fml.client.GuiModsMissing.func_73863_a(GuiModsMissing.java:54)
    at net.minecraft.client.renderer.EntityRenderer.func_78480_b(EntityRenderer.java:1357)
    at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1001)
    at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:898)
    at net.minecraft.client.main.Main.main(SourceFile:148)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
    at cpw.mods.fml.common.versioning.VersionRange.getLowerBoundString(VersionRange.java:573)
    at cpw.mods.fml.client.GuiModsMissing.func_73863_a(GuiModsMissing.java:54)

It seems you didn't have LambdaLib installed. You can find the link via the website or the curseforge page.

EDIT: It seems not friendly enough for a crash to happen when missing mods. Will fix the crash and make the missing-mod warning popup correctly.

@PalePyth

This comment has been minimized.

Show comment
Hide comment
@PalePyth

PalePyth Jan 9, 2016

http://pastebin.com/sj1kZZgb
LambdaLib-1.0
AcademyCraft-1.0pr3

PalePyth commented Jan 9, 2016

http://pastebin.com/sj1kZZgb
LambdaLib-1.0
AcademyCraft-1.0pr3

@WeAthFoLD

This comment has been minimized.

Show comment
Hide comment
@WeAthFoLD

WeAthFoLD Jan 9, 2016

Contributor

Note that required LL version is 1.1.0.

Contributor

WeAthFoLD commented Jan 9, 2016

Note that required LL version is 1.1.0.

@WeAthFoLD WeAthFoLD changed the title from Crash to [1.0pr3] Outright crash when LambdaLib isn't installed Jan 12, 2016

@WeAthFoLD WeAthFoLD closed this in dcc9bde Jan 29, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment